Usa CometAPI GET /mj/task//fetch para recuperar el estado de una sola tarea de Midjourney de forma rápida y fiable para monitoreo y sondeo de resultados.
curl --request GET \
--url https://api.cometapi.com/mj/task/{id}/fetch \
--header 'Authorization: Bearer <token>'{
"id": "1773314942177684",
"status": "SUCCESS",
"progress": "100%",
"imageUrl": "https://api.cometapi.com/mj/image/1773314942177684",
"videoUrl": "",
"buttons": [
{
"customId": "MJ::JOB::upsample::1::example",
"emoji": "",
"label": "U1",
"type": 2,
"style": 1
}
]
}status para el estado general de la tareaprogress para la señal actual de finalizaciónimageUrl o videoUrl cuando el recurso esté listobuttons para los siguientes valores de customId disponiblesSUCCESS, MODAL o FAILUREbuttons como la fuente de verdad para las acciones de seguimientoimageUrl cuando necesites la cuadrícula final o el resultado upscaleSUCCESS, progress: 100%, un imageUrl y 9 botones de acción para una tarea imagine FAST.Bearer token authentication. Use your CometAPI key.
Midjourney task id.
Current task state.
Show child attributes
Show child attributes
curl --request GET \
--url https://api.cometapi.com/mj/task/{id}/fetch \
--header 'Authorization: Bearer <token>'{
"id": "1773314942177684",
"status": "SUCCESS",
"progress": "100%",
"imageUrl": "https://api.cometapi.com/mj/image/1773314942177684",
"videoUrl": "",
"buttons": [
{
"customId": "MJ::JOB::upsample::1::example",
"emoji": "",
"label": "U1",
"type": 2,
"style": 1
}
]
}